<?php
require_once 'config.php';
require('fpdf/fpdf.php');
session_start(); if (!$_SESSION['loggato']) die("Accesso negato");

class PDF extends FPDF {
    function header() {
        $this->SetFont('Arial','B',12);
        $this->Cell(0,10,'Ricevuta Intervento',0,1,'C');
    }
    function footer() {
        $this->SetY(-15);
        $this->SetFont('Arial','I',8);
        $this->Cell(0,10,'Pagina '.$this->PageNo(),0,0,'C');
    }
    function ricevuta($d) {
        $this->SetFont('Arial','',12);
        foreach ($d as $k => $v) {
            $this->Cell(0,10,"$k: $v",0,1);
        }
    }
}

$id = intval($_GET['id']);
$res = $conn->query("SELECT * FROM PAZIENTE WHERE id=$id");
if ($row = $res->fetch_assoc()) {
    $pdf = new PDF();
    $pdf->AddPage();
    $pdf->ricevuta($row);
    $pdf->Output();
} else {
    echo "Paziente non trovato";
}
?>